Page MenuHomePhabricator

Argument 1 passed to Flow\Data\CachingObjectMapper::fromStorageRow() must be an array, null given
Closed, ResolvedPublic

Description

[2014-06-18 16:55:57] Catchable fatal error: Argument 1 passed to Flow\Data\CachingObjectMapper::fromStorageRow() must be an array, null given, called in /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/ObjectLocator.php on line 301 and defined at /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/CachingObjectMapper.php on line 49
Server: mw1094
Method: GET
URL: http://meta.wikimedia.org/w/index.php?title=Special:Contributions&contribs=newbie
Backtrace:
#0 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/CachingObjectMapper.php(49): Flow\Data\CachingObjectMapper::fromStorageRow()
#1 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/ObjectLocator.php(301): Flow\Data\CachingObjectMapper->fromStorageRow(NULL)
#2 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/ObjectManager.php(128): Flow\Data\ObjectLocator->load(NULL)
#3 [internal function]: Flow\Data\ObjectManager->load(NULL)
#4 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/ObjectLocator.php(91): array_map(Array, Array)
#5 [internal function]: Flow\Data\ObjectLocator->findMulti(Array, Array)
#6 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/ManagerGroup.php(62): call_user_func_array(Array, Array)
#7 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Data/ManagerGroup.php(78): Flow\Data\ManagerGroup->call('findMulti', Array)
#8 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Formatter/AbstractQuery.php(125): Flow\Data\ManagerGroup->findMulti('PostRevision', Array, Array)
#9 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/includes/Formatter/ContributionsQuery.php(70): Flow\Formatter\AbstractQuery->loadMetadataBatch(Array)
#10 /usr/local/apache/common-local/php-1.24wmf9/extensions/Flow/Hooks.php(500): Flow\Formatter\ContributionsQuery->getResults(Object(ContribsPager), '', 51, false)
#11 [internal function]: FlowHooks::onContributionsQuery(Array, Object(ContribsPager), '', 51, false)
#12 /usr/local/apache/common-local/php-1.24wmf9/includes/Hooks.php(206): call_user_func_array('FlowHooks::onCo...', Array)
#13 /usr/local/apache/common-local/php-1.24wmf9/includes/GlobalFunctions.php(4056): Hooks::run('ContribsPager::...', Array, NULL)
#14 /usr/local/apache/common-local/php-1.24wmf9/includes/specials/SpecialContributions.php(749): wfRunHooks('ContribsPager::...', Array)
#15 /usr/local/apache/common-local/php-1.24wmf9/includes/Pager.php(226): ContribsPager->reallyDoQuery('', 51, false)
#16 /usr/local/apache/common-local/php-1.24wmf9/includes/Pager.php(557): IndexPager->doQuery()
#17 /usr/local/apache/common-local/php-1.24wmf9/includes/specials/SpecialContributions.php(197): IndexPager->getNumRows()
#18 /usr/local/apache/common-local/php-1.24wmf9/includes/specialpage/SpecialPage.php(380): SpecialContributions->execute(NULL)
#19 /usr/local/apache/common-local/php-1.24wmf9/includes/specialpage/SpecialPageFactory.php(510): SpecialPage->run(NULL)
#20 /usr/local/apache/common-local/php-1.24wmf9/includes/Wiki.php(288): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#21 /usr/local/apache/common-local/php-1.24wmf9/includes/Wiki.php(603): MediaWiki->performRequest()
#22 /usr/local/apache/common-local/php-1.24wmf9/includes/Wiki.php(452): MediaWiki->main()
#23 /usr/local/apache/common-local/php-1.24wmf9/index.php(46): MediaWiki->run()
#24 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#25 {main}


Version: unspecified
Severity: major

Details

Reference
bz66797

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz66797.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jun 18 2014, 4:56 PM

This gives a WMF error, and is clearly a regression. Increasing priority.

Change 140413 had a related patch set uploaded by EBernhardson:
Protect against null values in ObjectManager::findMulti

https://gerrit.wikimedia.org/r/140413

Change 140414 had a related patch set uploaded by EBernhardson:
Convert recoverable fatal errors into exceptions

https://gerrit.wikimedia.org/r/140414

Change 140414 merged by jenkins-bot:
Convert recoverable fatal errors into exceptions

https://gerrit.wikimedia.org/r/140414

Change 140413 merged by jenkins-bot:
Protect against null values in ObjectManager::findMulti

https://gerrit.wikimedia.org/r/140413

All patches mentioned in this report were merged - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:36 AM